# included templates
include:
  # Ansible template
  - project: "to-be-continuous/ansible"
    ref: "3.4"
    file: "templates/gitlab-ci-ansible.yml"
  # Gitleaks template
  - project: "to-be-continuous/gitleaks"
    ref: "2.1"
    file: "templates/gitlab-ci-gitleaks.yml"
  # Terraform template
  - project: "to-be-continuous/terraform"
    ref: "3.6"
    file: "templates/gitlab-ci-terraform.yml"
  # Terraform gcp variant
  - project: "to-be-continuous/terraform"
    ref: "3.6"
    file: "templates/gitlab-ci-terraform-gcp.yml"


# secret variables
# (define the variables below in your GitLab group/project variables)
# ANSIBLE_VAULT_PASSWORD: The Ansible vault password used to decrypt vars
# ANSIBLE_PRIVATE_KEY: The Ansible SSH private key to use in all stages (can be overridden per env)
# INFRACOST_API_KEY: the infracost API key


# variables
variables:
  TF_CHECKOV_ENABLED: "false"
  TF_INFRACOST_ENABLED: "false"
  TF_FMT_ENABLED: "false"
  TF_REVIEW_ENABLED: "true"
  TF_TFLINT_DISABLED: "true"
  
  TF_PROD_ENABLED: "true"
  TF_PROD_PLAN_ENABLED: "false"

  TF_VAR_gcp_project: "to-be-continuous-demo"
  GCP_OIDC_PROVIDER: $GCP_OIDC_PROVIDER
  GCP_OIDC_ACCOUNT: $GCP_OIDC_ACCOUNT
  CI_JOB_JWT_V2: $CI_JOB_JWT_V2
  CI_DEBUG_SERVICES: "true"  



# your pipeline stages
stages:
  - build
  - test
  - package-build
  - package-test
  - infra
  - deploy
  - acceptance
  - publish
  - infra-prod
  - production


